Return.Geltner {PerformanceAnalytics} | R Documentation

## calculate Geltner liquidity-adjusted return series

### Description

David Geltner developed a method to remove estimating or liquidity bias in real estate index returns. It has since been applied with success to other return series that show autocorrelation or illiquidity effects.

### Usage

    Return.Geltner(Ra, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`...` | any other passthru parameters

### Details

The theory is that by correcting for autocorrelation, you are uncovering a "true" return from a series of observed returns that contain illiquidity or manual pricing effects.

The Geltner autocorrelation adjusted return series may be calculated via:

Geltner.returns = [R(t) - R(t-1)*acf(R(t-1))]/1-acf(R(t-1))

Geltner.returns = [R(t) - R(t-1)*acf(R(t-1))]/1-acf(R(t-1))

where acf(R(t-1)) is the first-order autocorrelation of the return series Ra and R(t) is the return of Ra at time t and R(t-1) is the one-period lagged return.

### Author(s)

Brian Peterson

### References

"Edhec Funds of Hedge Funds Reporting Survey : A Return-Based Approach to Funds of Hedge Funds Reporting",Edhec Risk and Asset Management Research Centre, January 2005,p. 27

Geltner, David, 1991, Smoothing in Appraisal-Based Returns, Journal of Real Estate Finance and Economics, Vol.4, p.327-345.

Geltner, David, 1993, Estimating Market Values from Appraised Values without Assuming an Efficient Market, Journal of Real Estate Research, Vol.8, p.325-345.

### Examples

    data(managers)
    head(Return.Geltner(managers[,1:3]),n=20)

[Package PerformanceAnalytics version 1.5.3 Index]